#!/usr/bin/env python3

from os import environ
from flask import Flask, request
from subprocess import check_output
import json

app = Flask(__name__)

@app.route('/<strategy>', methods=['POST'])
def build(strategy):
    return check_output([
        f"/{environ['STRATEGIES_DIR']}/{strategy}",
        json.dumps(request.get_json(), sort_keys=True, indent=4)
    ])
